Package wx :: Module gizmos :: Class StaticPicture

[frames | no frames]

## Type StaticPicture

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            StaticPicture

Proxy of C++ StaticPicture class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
int | ``GetAlignment`(self)` Get the control alignment (left/right/centre, top/bottom/centre)
Bitmap | `GetBitmap(self)`
| `GetCustomScale(self, OUTPUT, OUTPUT)`
Icon | `GetIcon(self)`
int | `GetScale(self)`
| `SetAlignment(self, align)`
| `SetBitmap(self, bmp)`
| `SetCustomScale(self, sx, sy)`
| `SetIcon(self, icon)`
| `SetScale(self, scale)`

Property Summary
| `Alignment`: See `GetAlignment` and `SetAlignment`
| `Bitmap`: See `GetBitmap` and `SetBitmap`
| `Icon`: See `GetIcon` and `SetIcon`
| `Scale`: See `GetScale` and `SetScale`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, label=wxNullBitmap, pos=DefaultPosition, size=DefaultSize, style=0, name=StaticPictureNameStr)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### Create(self, parent, id=-1, label=wxNullBitmap, pos=DefaultPosition, size=DefaultSize, style=0, name=StaticPictureNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

### GetAlignment(self)

Get the control alignment (left/right/centre, top/bottom/centre)

  Returns:
    int
  Overrides:
    `wx.Control.GetAlignment`

Property Details

### Alignment

See `GetAlignment` and `SetAlignment`

  Get Method:
    `GetAlignment`(self)
  Set Method:
    `SetAlignment`(self, align)

### Bitmap

See `GetBitmap` and `SetBitmap`

  Get Method:
    `GetBitmap`(self)
  Set Method:
    `SetBitmap`(self, bmp)

### Icon

See `GetIcon` and `SetIcon`

  Get Method:
    `GetIcon`(self)
  Set Method:
    `SetIcon`(self, icon)

### Scale

See `GetScale` and `SetScale`

  Get Method:
    `GetScale`(self)
  Set Method:
    `SetScale`(self, scale)

### thisown

The membership flag

  Get Method:
    unknown--1217626188(...)
  Set Method:
    unknown--1217621972(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:55 2007 | http://epydoc.sf.net